org.eclipse.ease.ui.dnd

## Interface IShellDropHandler

All Known Implementing Classes:
  AbstractFileDropHandler, ResourceDropHandler

    public interface IShellDropHandler

Handler interface for custom drop events for the script shell view.

### Method Summary

Methods
`boolean` `accepts(IScriptEngine scriptEngine, Object element)` Verify that object can be handled.
`void` `performDrop(IScriptEngine scriptEngine, Object element)` Perform the drop action.

### Method Detail

#### accepts

    boolean accepts(IScriptEngine scriptEngine,
                  Object element)

Verify that object can be handled.

Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped
Returns:
  `true` when element can be handled

#### performDrop

    void performDrop(IScriptEngine scriptEngine,
                   Object element)

Perform the drop action.

Parameters:
  `scriptEngine` - script engine to execute drop action
  `element` - element to be dropped